/*
 * mcms_evite_1.css
 *
 * Styles for Evite 1 Layout
 *
 */

 /* IMPLEMENTER: These responsive styles are for #shell on Layouts site; remove them! */

 @media (max-width:999px) {
 	#shell { width: 100vw; }
 	#shell-wrap { width: 90% !important; }
 }

/* IMPLEMENTER: Remove above styles for #shell element */

.header-image {
	width: 100%;
	padding-top: 40%;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	text-align: center;
	position: relative;
}

.header-image .page-title {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateY(-25%) translateX(-50%);
	font-size: 2em;
	font-weight: 600;
	margin-top: 0;
	padding-top: 0;
	line-height: 1;
	width: 90%;
}

@media (min-width: 48em) {
	.header-image .page-title {
		width: 80%;
		font-size: 3em;
	}
}

/* WYSIWYG CONTAINER */

#evite1 .wysiwyg-content {
	width: 100%;
	display: block;
	margin: 4em 0;
}

#evite1 .wysiwyg-content p {
}

/* SHARE LINKS */

#evite1 .user-instructions {
	text-align: center;
	display: block;
	font-weight: 600;
	font-size: 24px;
}

#evite1 #share-links .links-container {
	display: block;
	width: 100%;
	margin: 3em auto;
}

@media (min-width: 56em) {
	#evite1 #share-links .links-container {
		display: flex;
		flex-wrap: wrap;
		width: 100%;
		margin: 3em auto;
	}
}

#evite1 #share-links .share-item {
	width: 100%;
	display: block;
	margin-right: 0;
	text-align: center;
	margin-bottom: 1em;
}

#evite1 #share-links .share-item:after {
	content: '';
	display: block;
	width: 100%;
	clear: both;
	height: 1em;
}

@media (min-width: 36em) {
	#evite1 #share-links .share-item {
		width: 100%;
		text-align: left;
		margin-bottom: 0;
		margin-right: 0;
	}
}

@media (min-width: 56em) {
	#evite1 #share-links .share-item {
		width: 31.533333333%;
		margin-right: 2.7%;
		text-align: center;
		margin-bottom: 1em;
	}

	#evite1 #share-links .share-item:after {
		display: none;
	}

	#evite1 #share-links .share-item:nth-child(3n) {
		margin-right: 0;
	}
}

#evite1 #share-links .share-item .evite-thumbnail-link {
	width: 100%;
	display: block;
	float: none;
	padding-top: 51.2820513%;
	margin-bottom: 1em;
	/* background-color: #333; */
	box-shadow: 0 0 0 0 #b81500; /* Use site's link color */
	opacity: 1.0;
	transition: all .2s ease-in-out;
	transform: rotate(0deg);
	-moz-transition: all .2s ease-in-out;
	-webkit-transition: all .2s ease-in-out;
	-webkit-backface-visibility: hidden;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	box-sizing: border-box;
}

@media (min-width: 36em) {
	#evite1 #share-links .share-item .evite-thumbnail-link {
		width: 45%;
		float: left;
		padding-top: 23.076923085%;
		margin-right: 5%;
		margin-bottom: 1em;
	}
}


@media (min-width: 56em) {
	#evite1 #share-links .share-item .evite-thumbnail-link {
		width: 100%;
		float: none;
		padding-top: 51.2820513%;
		margin-right: 0;
	}
}

#evite1 #share-links .share-item .evite-thumbnail-link:hover {
	opacity: .95;
	animation: shimmy .65s infinite;
	animation-delay: 0s;
	animation-timing-function: linear;
	box-shadow: 0 0 0 7px #b81500; /* Use site's link color */
}

#evite1 #share-links .share-item h6 {
	margin-bottom: .25em;
	display: block;
}

#evite1 #share-links .share-item p.subtitle {
	font-size: 1.166666667em;
	line-height: 1.3;
	display: block;
}

@keyframes shimmy {
  0% { transform: rotate(0deg); }
  25% { transform: rotate(.7deg); }
  75% { transform: rotate(-.65deg);}
  100% { transform: rotate(0deg);}
}

/* SHARE OPTIONS / BUTTONS */

#evite1 #share-options {
	display: none;
}

#evite1 #share-options .button-container {
	display: flex;
	width: 80%;
	margin: 3em auto;
	flex-wrap: wrap;
}

#evite1 #share-options .button-container .share-button {
	width: 50%;
	margin: 0;
	display: block;
	background-color: #fafafa;
	padding: 1.25em 0;
	text-align: center;
	font-weight: 600;
	font-size: 1em;
	transition: all .25s ease-in-out;
	-moz-transition: all .25s ease-in-out;
	-webkit-transition: all .25s ease-in-out;
	box-sizing: border-box;
	border-style: solid;
	border-width: 2px;
}

@media (min-width: 24em) {
	#evite1 #share-options .button-container .share-button {
		font-size: 1.25em;
	}
}

@media (min-width: 48em) {
	#evite1 #share-options .button-container .share-button {
		width: 22%;
		margin: 0 1.5%;
	}
}

#evite1 #share-options .button-container .share-button > span {
	padding-right: 2px;
	vertical-align: text-top;
}

/* Special tweaks for Layouts site to get better icon alignment; replace with theme icons */
#evite1 #share-options .button-container .share-button > .social_instagram {
	vertical-align: -1px;
}

#evite1 #share-options .button-container .share-button > .icon_mail_alt {
	vertical-align: 1px;
}

/* EMAIL FORM CONTENT */

#evite1 #email-option {
	display: none;
	width: 60%;
	margin: 3em auto;
}

#evite1 #email-option #email-preview {
	text-align: center;
	width: 100%;
}

#evite1 #email-option #email-preview h6 {
	margin-bottom: .25em;
}

#evite1 #email-option #email-preview .subtitle {
	margin-bottom: .75em;
	font-size: 1.25em;
}

#evite1 #email-option #email-preview > img {
	width: 100%;
	height: auto;
	margin-bottom: 2em;
	margin-top: .5em;
}

#evite1 #evite-form {
	width: 100%;
	text-align: left;
	display: none;
}

#evite1 #evite-form .warning {
	margin: .25em 0 1em;
	display: none;
}

#evite1 #evite-form label {
	width: 100%;
	display: block;
	text-align: left;
	font-weight: 600;
	line-height: 1.5;
	margin-bottom: 5px;
}

#evite1 #evite-form input, #evite1 #evite-form textarea {
	width: 100%;
	display: block;
	font-size: 1em;
	margin-bottom: 1em;
	box-sizing: border-box;
	padding: .5em;
	border: 1px solid;
}

#evite1 #evite-form #loading {
	width: 110px;
	margin: 1em 0;
	height: 40px;
	display: none;
	/* Update the URL below */
	background-image: url('/_assets/img/loaders/preloader.svg');
	background-position: center center;
	background-color: transparent;
	background-repeat: no-repeat;
	background-size: 100% 100%;
}

#evite1 #evite-form input[type='submit'] {
	width: auto;
	display: inline-block;
	font-weight: 400;
	line-height: 1.25;
	text-align: center;
	text-transform: none;
	white-space: nowrap;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	padding: .9rem 2rem;
	font-size: 0.9375rem;
	border-radius: 0;
	transition: all 0.2s ease-in-out;
	border-style: solid;
	border-width: 2px;
}

#evite1 #evite-form.preloader input[type='submit'] {
	display: none;
}

#evite1 #evite-form.preloader #loading {
	display: block;
}

#evite1 #evite-form input[type='submit']:hover {
	cursor: pointer;
}

/* FORM EMBED (FMS) OPTION */

#evite1 #email-option #form-embed {
	width: 100%;
	height: auto;
	display: none;
}

#evite1 #email-option #form-embed iframe {
	/* assuming that iframe embed has a 95% width (?) - adjust as needed */
	margin-left: 2.5%;
}

/* INSTAGRAM OPTION */

#evite1 #ig-option {
	display: none;
	width: 60%;
	margin: 3em auto;
}

#evite1 #ig-option #ig-preview {
	text-align: center;
	width: 100%;
}

#evite1 #ig-option #ig-preview h6 {
	margin-bottom: .25em;
}

#evite1 #ig-option #ig-preview .subtitle {
	margin-bottom: .75em;
	font-size: 1.25em;
}

#evite1 #ig-option #ig-preview > img {
	width: 100%;
	height: auto;
	margin-bottom: 2em;
	margin-top: .5em;
}

#evite1 #ig-option #ig-preview .image-download {
}

@media (min-width:24em) {
	#evite1 #ig-option #ig-preview .image-download {
	}
}

#evite1 #ig-option #ig-preview .image-download:hover {
	cursor: pointer;
}

/* START OVER LINK */

#start-over {
	display: none;
	margin: 2em auto;
	font-weight: 800;
	font-size: 1.25em;
	transition: all .25s ease-in-out;
	-moz-transition: all .25s ease-in-out;
	-webkit-transition: all .25s ease-in-out;
	text-align: center;
}

#start-over > span {
	font-size: 1.75em;
	vertical-align: -6px;
}

/* STYLES FOR COLOR PICKER / OVERRIDE.CSS */

/* White Text Color */
.header-image .page-title,
#evite1 #share-options .button-container .share-button.active,
#evite1 #evite-form input[type='submit'],
#evite1 #ig-option #ig-preview .image-download {
	/* color: #fafafa; */
}

/* Link Color */
#evite1 #share-options .button-container .share-button,
#start-over:hover,
#evite1 #evite-form .warning {
	/* color: #5d7b9d; */
}

/* Link Color - Background */
#evite1 #share-options .button-container .share-button.active,
#evite1 #evite-form input[type='submit'],
#evite1 #ig-option #ig-preview .image-download {
	/* background-color: #5d7b9d; */
}

/* Link Color - Border */
#evite1 #share-options .button-container .share-button.active,
#evite1 #share-options .button-container .share-button:hover {
	/* border-color: #5d7b9d; */
}

/* "Brighter" Link Color - Background */

iframe.form {
	width: 100%;
}

.share-item h5,
#email-preview h5 {
	margin-bottom: .5rem;
}